Joomla 2.5.28 and PHP 5.6

General questions relating to Joomla! 2.5. Note: All 1.6 and 1.7 releases have reached end of life and should be updated to 2.5. There are other boards for more specific help on Joomla! features and extensions.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Locked
CyberCr33p
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Sun Feb 17, 2008 1:50 pm

Joomla 2.5.28 and PHP 5.6

Post by CyberCr33p » Tue Oct 27, 2015 12:43 pm

Is Joomla 2.5.28 compatible with PHP 5.6?

User avatar
brian
Joomla! Master
Joomla! Master
Posts: 11765
Joined: Fri Aug 12, 2005 7:19 am
Location: Leeds, UK
Contact:

Re: Joomla 2.5.28 and PHP 5.6

Post by brian » Tue Oct 27, 2015 1:15 pm

No idea - and its end of life and unsupported for over a year now.
"Exploited yesterday... Hacked tomorrow"
Blog http://brian.teeman.net/
Joomla Hidden Secrets http://hiddenjoomlasecrets.com/

huyhoa
Joomla! Intern
Joomla! Intern
Posts: 82
Joined: Tue Jul 14, 2015 9:18 am
Contact:

Re: Joomla 2.5.28 and PHP 5.6

Post by huyhoa » Tue Oct 27, 2015 2:45 pm

CyberCr33p wrote:Is Joomla 2.5.28 compatible with PHP 5.6?
I can confirmed that it's working fine. Most of my sites still at 2.5 and running php 5.6 now without any problem.
Personal blog at: http://huyhoa.com

User avatar
ozneilau
Joomla! Guru
Joomla! Guru
Posts: 856
Joined: Tue Aug 04, 2009 9:05 am
Location: Tasmania, Australia
Contact:

Re: Joomla 2.5.28 and PHP 5.6

Post by ozneilau » Fri Sep 02, 2016 3:56 am

The official Technical Requirements page recommends PHP 5.6 for Joomla 2.5:

https://www.joomla.org/about-joomla/tec ... ments.html

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19700
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Joomla 2.5.28 and PHP 5.6

Post by leolam » Mon Sep 05, 2016 1:45 am

Why don't you upgrade to Joomla 3.6.2?

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

CyberCr33p
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Sun Feb 17, 2008 1:50 pm

Re: Joomla 2.5.28 and PHP 5.6

Post by CyberCr33p » Mon Sep 05, 2016 2:06 pm

We just do the webhosting. The joomla 2.5.26 are not mine to upgrade them and there are thousands of them.

Finally PHP 5.6 is compatible with joomla 1.5.26 and 2.5.26.

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19700
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Joomla 2.5.28 and PHP 5.6

Post by leolam » Mon Sep 05, 2016 2:53 pm

@CyberCr33p just for your info: Latest release of the 2.5-branch was 2.5.28 which should concern you as host since all versions before that are vulnerable and can be whacked. By exception we patched J1.5/J2.5.28 with security patches. I assume you do not like your servers or clients to be infected so it should be of your concern.

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services

CyberCr33p
Joomla! Apprentice
Joomla! Apprentice
Posts: 14
Joined: Sun Feb 17, 2008 1:50 pm

Re: Joomla 2.5.28 and PHP 5.6

Post by CyberCr33p » Mon Sep 05, 2016 3:16 pm

Yes sorry I mistype it. I was talking about 2.5.28. Also we already patch 1.5.26 many years ago with the session and upload fix.


Locked

Return to “General Questions/New to Joomla! 2.5”